---
title: "Mark Order Message Read"
description: "Use GET /orders/{order_id}/messages/{message_id}/read to mark the selected message as read."
canonical: https://docs.ordering.co/api-reference/guides/read-order-messages/
---

# Mark Order Message Read

> **API operation:** [Open the endpoint in Scalar](https://docs.ordering.co/api-reference/#tag/orders/GET/orders/{order_id}/messages/{message_id}/read)

Use `GET /orders/{order_id}/messages/{message_id}/read` to mark the selected message as read. The operation is `OrderMessageRead.read`; authentication and access to the specified order and message are required.

## OpenAPI reference

**Operation:** `GET /orders/{order_id}/messages/{message_id}/read`

**Path parameters**

| Name         | Type    | Required | Description |
| ------------ | ------- | -------- | ----------- |
| `order_id`   | integer | Yes      | —           |
| `message_id` | integer | Yes      | —           |

**Responses**

| Code | Description                           |
| ---- | ------------------------------------- |
| 200  | OK (Envelope)                         |
| 400  | Bad Request (ErrorResponse)           |
| 401  | Unauthorized                          |
| 404  | Not Found                             |
| 429  | Too Many Requests (ErrorResponse)     |
| 500  | Internal Server Error (ErrorResponse) |
| 503  | Service Unavailable (ErrorResponse)   |

[Open this operation in the API reference](https://docs.ordering.co/api-reference/#tag/orders/GET/orders/{order_id}/messages/{message_id}/read)
